RTEMS: NXP i.MX

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Files | Macros | Functions | Variables
NXP i.MX
Board Support Packages » ARM

NXP i.MX Board Support Package. More...

## Files
file | bsp.h

## Macros
#define | BSP_FEATURE_IRQ_EXTENSION
#define | BSP_FDT_IS_SUPPORTED
#define | BSP_ARM_GIC_DIST_BASE imx_gic_dist_base
#define | BSP_ARM_GIC_CPUIF_BASE (BSP_ARM_GIC_DIST_BASE + 0x1000)
#define | BSP_ARM_A9MPCORE_GT_BASE 0
#define | BSP_ARM_A9MPCORE_SCU_BASE 0

## Functions
void | arm_generic_timer_get_config (uint32_t *frequency, uint32_t *irq)
void * | imx_get_reg_of_node (const void *fdt, int node)
int | imx_iomux_configure_pins (const void *fdt, uint32_t phandle)
rtems_vector_number | imx_get_irq_of_node (const void *fdt, int node, size_t index)
void | imx_uart_console_drain (void)
int | i2c_bus_register_imx (const char *bus_path, const char *alias_or_path)
| Registers an IMX I2C bus driver.
int | spi_bus_register_imx (const char *bus_path, const char *alias_or_path)
| Registers an IMX ECSPI bus driver.

## Variables
uintptr_t | imx_gic_dist_base

## Detailed Description

NXP i.MX Board Support Package.

## Function Documentation

## ◆ i2c_bus_register_imx()

int i2c_bus_register_imx | ( | const char * | bus_path,
|  | const char * | alias_or_path
| ) |  |

Registers an IMX I2C bus driver.

Parameters

  [in] | bus_path | The I2C bus driver device path, e.g. "/dev/i2c-0".
  [in] | alias_or_path | The FDT alias or path, e.g. "i2c0".

Return values

  0 | Successful operation.
  -1 | An error occurred. The errno is set to indicate the error.

## ◆ spi_bus_register_imx()

int spi_bus_register_imx | ( | const char * | bus_path,
|  | const char * | alias_or_path
| ) |  |

Registers an IMX ECSPI bus driver.

Parameters

  [in] | bus_path | The ECSPI bus driver device path, e.g. "/dev/spi-0".
  [in] | alias_or_path | The FDT alias or path, e.g. "spi0".

Return values

  0 | Successful operation.
  -1 | An error occurred. The errno is set to indicate the error.